=begin pod

=TITLE class X::Eval::NoSuchLang

=SUBTITLE Error due to specifying an unknown language for EVAL

    class X::Eval::NoSuchLang is Exception { }

Error thrown when C<EVAL($str, :$lang)> specifies a language that the
compiler does not know how to handle.

For example

    EVAL 'boo', lang => bar;

dies with

    No compiler available for language 'bar'


=head1 Methods

=head2 method lang

    method lang()

Returns the language that L<&EVAL> did not know how to handle.

=end pod
